Bug 961364

Summary: Review Request: rubygem-activerecord-deprecated_finders - This gem contains deprecated finder APIs extracted from Active Record
Product: [Fedora] Fedora Reporter: Josef Stribny <jstribny>
Component: Package ReviewAssignee: Achilleas Pipinellis <axilleas>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: axilleas, hhorak, notting, package-review
Target Milestone: ---Flags: axilleas: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-08 04:43:06 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Josef Stribny 2013-05-09 09:28:32 EDT
Spec URL: http://data-strzibny.rhcloud.com/rubygem-activerecord-deprecated_finders.spec
SRPM URL: http://data-strzibny.rhcloud.com/rubygem-activerecord-deprecated_finders-1.0.2-1.fc19.src.rpm
Description: Deprecated finder APIs extracted from Active Record.
Fedora Account System Username: jstribny

This SRPM won't build because it needs Rails 4 which is not yet in Fedora. Filling already to keep track.
Comment 1 Josef Stribny 2013-07-31 08:49:27 EDT
I added a bootstrap condition for tests as we need to build this RubyGem before Rails 4.0 because ActiveRecord depends on this (I guess this will be dropped in 4.1).

SPEC: http://data-strzibny.rhcloud.com/rubygem-activerecord-deprecated_finders.spec
SRPM: http://kojipkgs.fedoraproject.org//work/tasks/3599/5683599/rubygem-activerecord-deprecated_finders-1.0.2-2.fc20.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5683597
Comment 2 Achilleas Pipinellis 2013-08-01 01:30:11 EDT
Hi Josef, 

Issues:

1) There is a 1.0.3 version, please update.
2) Remove shebang in Rakefile.

Thanks :)
Comment 4 Josef Stribny 2013-08-01 06:42:09 EDT
I was playing with the package today as I was upgrading ActiveRecord and it seems that the easiest way is to bootstrap also the requires, because its a circular dependency, and it's better to run all tests on ActiveRecord and make a rebuild of this package afterwards, rather then bootstrapping AR by removing this gem as a dep. This way I got AR builds just fine locally. And afterwards I could build rubygem-activerecord-deprecated_finders as well with no issues.

I also fixed AR dep vs Rails dep (AR is enough).

Thanks.

SRPM: http://kojipkgs.fedoraproject.org//work/tasks/8134/5688134/rubygem-activerecord-deprecated_finders-1.0.3-2.fc20.src.rpm
Comment 5 Achilleas Pipinellis 2013-08-02 04:59:03 EDT
Cool, that makes sense, package APPROVED.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     activerecord-deprecated_finders-doc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 19 files have unknown license. Detailed output of
     licensecheck in /home/axil/review/review-rubygem-activerecord-
     deprecated_finders/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %{gem_spec}, %{gem_libdir},
     %doc %{gem_docdir}, %exclude %{gem_cache}
[!]: Test suite of the library should be run.
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-activerecord-deprecated_finders-1.0.3-2.fc19.noarch.rpm
          rubygem-activerecord-deprecated_finders-doc-1.0.3-2.fc19.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-activerecord-deprecated_finders rubygem-activerecord-deprecated_finders-doc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-activerecord-deprecated_finders (rpmlib, GLIBC filtered):
    ruby(release)
    ruby(rubygems)

rubygem-activerecord-deprecated_finders-doc (rpmlib, GLIBC filtered):
    rubygem-activerecord-deprecated_finders



Provides
--------
rubygem-activerecord-deprecated_finders:
    rubygem(activerecord-deprecated_finders)
    rubygem-activerecord-deprecated_finders

rubygem-activerecord-deprecated_finders-doc:
    rubygem-activerecord-deprecated_finders-doc



Source checksums
----------------
https://rubygems.org/gems/activerecord-deprecated_finders-1.0.3.gem :
  CHECKSUM(SHA256) this package     : 97ea365c348857818894bc5d8f644efa04f7543009419da5cef442ee053c4ffc
  CHECKSUM(SHA256) upstream package : 97ea365c348857818894bc5d8f644efa04f7543009419da5cef442ee053c4ffc


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-x86_64
Command line :/usr/bin/fedora-review -n rubygem-activerecord-deprecated_finders
Comment 6 Josef Stribny 2013-08-02 05:20:16 EDT
Thank you for the review.

New Package SCM Request
=======================
Package Name:  rubygem-activerecord-deprecated_finders
Short Description: This gem contains deprecated finder APIs extracted from Active Record
Owners: jstribny
Branches:
InitialCC:
Comment 7 Jon Ciesla 2013-08-02 07:57:50 EDT
Git done (by process-git-requests).